Genivia - methodCall Struct Reference

|  | Home | Documentation | methodCall Struct Reference updated Mon Apr 22 2024 by Robert van Engelen |

- Main Page
- Classes
- Files

- Class List
- Class Members

Public Member Functions | Public Attributes | Private Attributes | List of all members
methodCall Struct Reference

Represents the <methodCall> element with <methodName> and request <params> for remote invocation. More...

`#include <xml-rpc.h>`

Collaboration diagram for methodCall:
[legend]

## Public Member Functions
| methodCall ()
| methodCall (struct soap *)
| methodCall (struct soap *, const char *endpoint, const char *methodname)
| instantiate with endpoint and method name More...
struct value & | operator[] (int)
| method parameter accessor index More...
const struct value & | operator[] (int) const
| method parameter accessor index More...
struct params & | operator() ()
| method invocation More...
struct params & | operator() (const struct params &)
| method invocation with param list More...
struct params & | response ()
| get last response More...
struct value & | fault ()
| fault value of response More...
const char * | name () const
| get method name More...
int | error () const
| gSOAP error code More...
int | recv ()
| receive call More...
int | send ()
| send call More...

## Public Attributes
char * | methodName
| name of the method More...
struct params | params
| input request parameters More...
struct soap * | soap
| ref to soap struct that manages this type More...

## Private Attributes
char * | methodEndpoint
| XML-RPC endpoint. More...
struct methodResponse * | methodResponse
| holds the response after the call More...

## Detailed Description

Represents the <methodCall> element with <methodName> and request <params> for remote invocation.

## Constructor & Destructor Documentation

methodCall::methodCall | ( |  | ) |

methodCall::methodCall | ( | struct soap * |  | ) |

methodCall::methodCall | ( | struct soap * | ,
|  | const char * | endpoint,
|  | const char * | methodname
| ) |  |

instantiate with endpoint and method name

## Member Function Documentation

int methodCall::error | ( |  | ) | const

gSOAP error code

struct value& methodCall::fault | ( |  | ) |

fault value of response

const char* methodCall::name | ( |  | ) | const

get method name

struct params& methodCall::operator() | ( |  | ) |

method invocation

struct params& methodCall::operator() | ( | const struct params & |  | ) |

method invocation with param list

struct value& methodCall::operator[] | ( | int |  | ) |

method parameter accessor index

const struct value& methodCall::operator[] | ( | int |  | ) | const

method parameter accessor index

int methodCall::recv | ( |  | ) |

receive call

struct params& methodCall::response | ( |  | ) |

get last response

int methodCall::send | ( |  | ) |

send call

## Member Data Documentation

char* methodCall::methodEndpoint
| private

XML-RPC endpoint.

char* methodCall::methodName

name of the method

struct methodResponse* methodCall::methodResponse
| private

holds the response after the call

struct params methodCall::params

input request parameters

struct soap* methodCall::soap

ref to soap struct that manages this type

The documentation for this struct was generated from the following file:

- xml-rpc.h